from django.urls import path
from . import views


urlpatterns = [
    path('redirect-osimenu/', views.redirect_osimenu, name='redirectosimenu'),
    path('redirect-osicard/', views.redirect_osicard, name='redirectosicard'),

    # ADD
    path('add/ticket/', views.customer_add_ticket, name='customeraddticket'),
    path('customer/add/ticketupdate/<int:ticket_id>/', views.customer_add_ticket_update, name='customeraddticketupdate'),


    # LISTING
    path('my-invoices/', views.customer_invoices, name='customerinvoices'),
    path('products/', views.all_products, name='products'),
    path('my-orders/', views.customer_orders, name='customerorders'),
    path('my-tickets/', views.customer_tickets, name='customertickets'),


    # DETAILS
    path('my-tickets/<int:ticket_number>/', views.customer_ticket_details, name='customerticketdetails'),


    # PRODUCTS URL
    path('osimenu-plans/', views.osimenu_plans, name='osimenuplans'),
    path('osicard-plans/', views.osicard_plans, name='osicardplans'),
    path('shared-hosting-plans/', views.shared_hosting_plans, name='sharedhostingplans'),
    path('cloud-vps-hosting-plans/', views.cloud_vps_hosting_plans, name='cloudvpshostingplans'),
    path('dedicated-servers-plans/', views.dedicated_servers_plans, name='dedicatedserversplans'),

    # PAYMENT
    path('payment/<int:item_id>/', views.payment, name='payment'),
    path('initiate_checkout/', views.initiate_checkout, name='initiatecheckout'),
    path('check-order-status/<str:merchant_id>/<str:order_id>/', views.check_order_status, name='check_order_status'),

    path('payment/osimenu-basic/', views.buy_free_osimenu, name='buyfreeosimenu'),
    path('payment/osicard-basic/', views.buy_free_osicard, name='buyfreeosicard'),

    path('invoice-payment/<int:invoice_id>/', views.invoice_payment, name='invoicepayment'),
    path('initiate_invoice_checkout/', views.initiate_invoice_checkout, name='initiateinvoicecheckout'),
]
